Cobalt Blue WordPress Theme
===========================

Cobalt Blue is a general-purpose, full-width, responsive, hi-DPI-ready, HTML5 WordPress theme built without messy web libraries or any JavaScript. It is designed to be ultra-fast and soothing to the eye. The theme features a 2 column layout, customizable header plus header image, excellent styling for all default widgets, and navigation menu support.

The theme is blue, as you can guess from its name. The exact shades of blue used follow a mathematically consistent pattern from black to blue to white:

![A picture showing all the blue colors.](http://code.rogerhub.com/wp-content/uploads/sites/6/2013/07/cobalt-preview-1.png)

If you are not fond of the color blue, maybe the demo will change your mind.

Demo
----

A live version of this theme is running on my personal coding blog. See below:

 - [Live demo](http://code.rogerhub.com)

Installation
------------

 - Download the latest version of the theme at [github.com/rogerhub/cobalt-blue-wordpress/archive/master.zip](https://github.com/rogerhub/cobalt-blue-wordpress/archive/master.zip).
 - Unzip it to your WordPress directory at `wp-content/themes/`.
 - Log in to WordPress as the administrator and activate the theme under Appearance > Theme.

Screenshots
-----------

There are a lot of these, so hang tight.

![The front page.](https://code.rogerhub.com/wp-content/uploads/sites/6/2013/07/cobalt-preview-0.png)

This is the front page. The cloud icon is the default header, but you can choose any image (I recommend a simple white sprite) using WordPress's built-in custom headers feature. This screenshot also shows the navigation menu in action. A smaller version of the header is shown on post pages.

![Some pictures of water and bridges with a sidebar on the right.](http://code.rogerhub.com/wp-content/uploads/sites/6/2013/07/cobalt-preview-2.png)

This photo layout was created using the built-in [WordPress Gallery feature](http://codex.wordpress.org/The_WordPress_Gallery). This example is laid out in a 3-column grid.

![Two blockquotes in a dark blue area and a table.](http://code.rogerhub.com/wp-content/uploads/sites/6/2013/07/cobalt-preview-3.png)

All types of producible HTML tags and WordPress CSS classes have been styled elegantly. This theme puts a special focus on `pre` and `blockquote` tags, which can be used to display code for a programming blog (like I usually do) or a quote. You can also see some sidebar widgets on the right.

![A picture of wood up close with a caption.](http://code.rogerhub.com/wp-content/uploads/sites/6/2013/07/cobalt-preview-4.png)

WordPress 3.6 was supposed to have post formats, but they have delayed this feature. Cobalt WordPress Theme will support post formats once they are officially released. Here is an example of how an image post would look. It has a caption.

![The response form.](https://code.rogerhub.com/wp-content/uploads/sites/6/2013/07/cobalt-preview-6.5.png)

This is the response form for the built-in comments system.

![More example of comments. These are from Disqus.](http://code.rogerhub.com/wp-content/uploads/sites/6/2013/07/cobalt-preview-6.png)

Cobalt Blue was optimized for use with Disqus. This theme will integrate flawlessly with Disqus, both technically and aesthetically. As you can see above, the native Disqus separator lines and the Cobalt Blue separator lines are of the same style. (The built-in comments still work great though.)

![A more button inside a nice round circle.](https://code.rogerhub.com/wp-content/uploads/sites/6/2013/07/cobalt-preview-7.png)

The sexiest "More" button yet. The design on this navigation element was inspired by the upcoming Twenty Thirteen Official WordPress default theme. You really have to [try clicking it](http://code.rogerhub.com/) to get a feel for its true elegance.

![The editor in WordPress.](https://code.rogerhub.com/wp-content/uploads/sites/6/2013/07/cobalt-preview-8.png)

A complete editor style for the built-in editor that mimics the styles from the theme. (In fact, the CSS rules come from the exact same SASS code.) You can now see what the result will look like as you're editing. (And it sure beats the default WordPress editor styles.)

 - [Live demo](http://code.rogerhub.com)

License
-------

Cobalt Blue WordPress Theme, Copyright 2013 RogerHub. Cobalt Blue is distributed under the terms of the GNU GPL v2. 

Support
-------

Until the theme gets accepted on the WordPress Theme Repository, you can contact me by opening an issue on GitHub. (rogerhub/cobalt-blue-wordpress)
